> For the complete documentation index, see [llms.txt](https://docs.qbcore.org/qbcore-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qbcore.org/qbcore-documentation/qbcore-resources/qb-recyclejob.md).

# qb-recyclejob

## Introduction

* Allows players to work as a recycler and earn items!

{% hint style="success" %}
This job does not pay out money by default, it pairs well with the crafting system from [qb-inventory](/qbcore-documentation/qbcore-resources/qb-inventory.md)
{% endhint %}

## Configuration

```lua
Config = {
	-- warehouse entrance / spawn location on warehouse exit
	OutsideLocation 	= vector4(55.55, 6472.18, 31.43, 44.0),
	-- warehouse exit / spawn location on warehouse enter
	InsideLocation 		= vector4(1073.0, -3102.49, -39.0, 266.61),
	-- clock in/out
	DutyLocation 		= vector4(1048.7, -3100.62, -38.2, 88.02),
	-- package delivery location
	DropLocation 		= vector4(1048.224, -3097.071, -38.999, 274.810),
	-- enable/disable floating marker
	DrawPackageLocationBlip = true,
	-- progress bar times
	PickupActionDuration 	= math.random(4000, 6000),
	DeliveryActionDuration 	= 5000,

	MaxItemsReceived 	= 5, -- maximum random reward items amount
	MinItemReceivedQty 	= 2, -- minimum reward item amount
	MaxItemReceivedQty 	= 6, -- maximum reward item amount
	ChanceItem 		= "cryptostick", -- random chance reward item
	LuckyItem 		= "rubber", -- random chance reward item

	PickupLocations = { -- interaction locations to pickup recyclables
		[1] 	= vector4(1067.68, -3095.57, -39.9, 342.39),
		[2] 	= vector4(1065.20, -3095.57, -39.9, 342.39),
		[3] 	= vector4(1062.73, -3095.57, -39.9, 342.39),
		[4] 	= vector4(1060.37, -3095.57, -39.9, 342.39),
		[5] 	= vector4(1057.95, -3095.57, -39.9, 342.39),
		[6] 	= vector4(1055.58, -3095.57, -39.9, 342.39),
		[7] 	= vector4(1053.09, -3095.57, -39.9, 342.39),

		[8] 	= vector4(1053.07, -3102.62, -39.9, 342.39),
		[9] 	= vector4(1055.49, -3102.62, -39.9, 342.39),
		[10]	= vector4(1057.93, -3102.62, -39.9, 342.39),
		[11] 	= vector4(1060.19, -3102.62, -39.9, 342.39),
		[12] 	= vector4(1062.71, -3102.62, -39.9, 342.39),
		[13] 	= vector4(1065.19, -3102.62, -39.9, 342.39),
		[14] 	= vector4(1067.46, -3102.62, -39.9, 342.39),

		[15] 	= vector4(1067.69, -3109.71, -39.9, 342.39),
		[16] 	= vector4(1065.13, -3109.71, -39.9, 342.39),
		[17] 	= vector4(1062.70, -3109.71, -39.9, 342.39),
		[18]	= vector4(1060.24, -3109.71, -39.9, 342.39),
		[19]	= vector4(1057.76, -3109.71, -39.9, 342.39),
		[20] 	= vector4(1055.52, -3109.71, -39.9, 342.39),
		[21]	= vector4(1053.16, -3109.71, -39.9, 342.39),
	},
	WarehouseObjects = { -- interactable objects in the warehouse
		[1] = "prop_boxpile_05a",
		[2] = "prop_boxpile_04a",
		[3] = "prop_boxpile_06b",
		[4] = "prop_boxpile_02c",
		[5] = "prop_boxpile_02b",
		[6] = "prop_boxpile_01a",
		[7] = "prop_boxpile_08a",
	},
	PickupBoxModel = "prop_cs_cardbox_01", -- object show in players hands
	ItemTable = { -- reward items
		[1] = "metalscrap",
		[2] = "plastic",
		[3] = "copper",
		[4] = "iron",
		[5] = "aluminum",
		[6] = "steel",
		[7] = "glass",
	}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.qbcore.org/qbcore-documentation/qbcore-resources/qb-recyclejob.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
